Skip to main content
GET
List Requests

Usage

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

expand[]
string[]

Fields to expand into full objects. Example: ?expand[]=assignee_admin&expand[]=tags

Free-text search across the request title, description and reference.

status_in[]
enum<string>[]

Filter by Ticket status.

Available options:
open,
in_progress,
waiting,
resolved,
archived
target_uid_in[]
string[]

Filter by associated Service/App.

requested_by_uid_in[]
string[]

Filter by Requester.

assignee_admin_uid_in[]
string[]

Filter by Assigned User

assignee_inbox_uid_in[]
string[]

Filter by Assigned Team inbox

include_archived
boolean
default:false

Whether the response should include archived Requests.

created_after
string<date-time>

Filter Requests created after a DateTime (ISO 8601).

created_before
string<date-time>

Filter Requests created before a DateTime (ISO 8601).

updated_after
string<date-time>

Filter Requests updated after a DateTime (ISO 8601).

updated_before
string<date-time>

Filter Requests updated before a DateTime (ISO 8601).

sorts
string

Sort Requests by field.

page
integer

The current page

per_page
integer

Number of results retrieved per page.

Response

Successful

meta
object
results
object[]